Summary:	Library designed to transparently disable fsync and friends
Summary(pl.UTF-8):	Biblioteka do przezroczystego wyłączania fsync itp.
Name:		libeatmydata
Version:	131
Release:	2
License:	GPL v3
Group:		Applications/File
Source0:	https://www.flamingspork.com/projects/libeatmydata/%{name}-%{version}.tar.gz
# Source0-md5:	2d50db02d4ffff2b544c75aae60c3b3e
# https://github.com/stewartsmith/libeatmydata
URL:		https://www.flamingspork.com/projects/libeatmydata/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libeatmydata is a small LD_PRELOAD library designed to (transparently)
disable fsync (and friends, like open(O_SYNC)). This has two
side-effects: making software that writes data safely to disk a lot
quicker and making this software no longer crash safe.

DO NOT use libeatmydata on software where you care about what it
stores. It's called libEAT-MY-DATA for a reason.

%description -l pl.UTF-8
libeatmydata to mała biblioteka ładowana przez LD_PRELOAD służąca do
(przezroczystego) wyłączania fsync (i podobnych mechanizmów, jak
open(O_SYNC)). Ma to dwa skutki uboczne: programy zapisujące dane na
dysku w sposób bezpieczny robią to dużo szybciej, ale nie są już
odporne na awarie.

NIE NALEŻY używać libeatmydata w przypadkach, kiedy zależy nam na
zapisywanych danych. Biblioteka nazywa się libEAT-MY-DATA (zjedz moje
dane) nie bez powodu.

%prep
%setup -q

%build
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	--disable-static
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS README.md
%attr(755,root,root) %{_bindir}/eatmydata
%attr(755,root,root) %{_libexecdir}/eatmydata.sh
%attr(755,root,root) %{_libdir}/libeatmydata.so
%changelog
* Mon Feb 12 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libeatmydata.git;a=log;h=master

* Mon Feb 12 2024 Jakub Bogusz <qboosh@pld-linux.org> ebb9c56
- honour libexecdir; release 2

* Mon Feb 12 2024 Jakub Bogusz <qboosh@pld-linux.org> 812f909
- updated to 131

* Sun Nov 19 2017 Jakub Bogusz <qboosh@pld-linux.org> c6388c6
- pl, autoconf version

* Sun Nov 27 2016 Elan Ruusamäe <glen@delfi.ee> 2765f3c
- up to 105

* Sat Jul 13 2013 Jacek Konieczny <jajcus@jajcus.net> 12c6f01
- new package

